Module | PhusionPassenger::ClassicRailsExtensions::AnalyticsLogging::AVBenchmarkHelperExtension
In: | lib/phusion_passenger/classic_rails_extensions/analytics_logging/av_benchmark_helper_extension.rb

### Methods

benchmark_with_passenger

### Public Instance methods

benchmark_with_passenger(message = "Benchmarking", *args) {|*args2| ...}

[Source]

        # File lib/phusion_passenger/classic_rails_extensions/analytics_logging/av_benchmark_helper_extension.rb, line 29
    29:         def benchmark_with_passenger(message = "Benchmarking", *args)
    30:                 log = request.env[PASSENGER_ANALYTICS_WEB_LOG]
    31:                 if log
    32:                         log.measure("BENCHMARK: #{message}") do
    33:                                 benchmark_without_passenger(message, *args) do |*args2|
    34:                                         yield(*args2)
    35:                                 end
    36:                         end
    37:                 else
    38:                         benchmark_without_passenger(message, *args) do |*args2|
    39:                                 yield(*args2)
    40:                         end
    41:                 end
    42:         end

[Validate]